#ifndef TCL_INTERFACE
#define TCL_INTERFACE 1
#include <stdarg.h>
#include <stdio.h>
extern double SCALE_FACTOR;
int mispelled(char* s);
int error(char* s);
int docommand(char* fmt, ...);
int set_status(char* fmt, ...);
int initialize_interpreter();
int load_user_interface();
int initialize_command_procs();
int initialize_link_vars();
void update();
void scale(int& coordinate);
void scale(int& coordinate, double scaleFactor);
#endif
/*
These commands can be called from Tcl
(things in quotes are the tcl names, others are c++ functions)

   "page_open", page_open_cmd,  
   "get_page_height", get_page_height_cmd,  
   "get_page_width", get_page_width_cmd,  

   "FIND_LINES_AND_RECOGNIZE", recognize_cmd,  
   "GET_SKEW", get_skew_cmd,  
   "DESKEW", deskew_cmd,  
   "DISPLAY_INTERVALS", display_intervals_cmd,  
   "QUIT", quit_cmd,  
   "ZOOM_IN", zoom_in_cmd,  
   "ZOOM_OUT", zoom_out_cmd,  
   "DEALLOCATE_PAGE", deallocate_page_cmd,  


*/








